Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.type1
Class Type1FontLoader

    java.lang.Object
      org.apache.fop.fonts.FontLoader
          org.apache.fop.fonts.type1.Type1FontLoader

public class Type1FontLoader
extends FontLoader

Loads a Type 1 font into memory directly from the original font file.

Field Summary

Fields inherited from class org.apache.fop.fonts.FontLoader
`embedded, fontFileURI, loaded, log, resolver, returnFont, useKerning`

Constructor Summary
`Type1FontLoader(java.lang.String fontFileURI, boolean embedded, boolean useKerning, FontResolver resolver)` Constructs a new Type 1 font loader.

Method Summary
`protected void` | `read()` Reads/parses the font data.

Methods inherited from class org.apache.fop.fonts.FontLoader
`getFont, loadFont, loadFont, loadFont, openFontUri`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Type1FontLoader

    public Type1FontLoader(java.lang.String fontFileURI,
                           boolean embedded,
                           boolean useKerning,
                           FontResolver resolver)
                    throws java.io.IOException

  Constructs a new Type 1 font loader.

Parameters:
  `fontFileURI` - the URI to the PFB file of a Type 1 font
  `embedded` - indicates whether the font is embedded or referenced
  `useKerning` - indicates whether to load kerning information if available
  `resolver` - the font resolver used to resolve URIs
Throws:
  `java.io.IOException` - In case of an I/O error

Method Detail

### read

    protected void read()
                 throws java.io.IOException

  Reads/parses the font data.

  Specified by:
    `read` in class `FontLoader`
  Throws:
    `java.io.IOException` - In case of an I/O error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.